Subject: [Mgs] 1966 OD Plug

From: "Ray Graham" <[email-masked]>
Date: Wed, 25 Apr 2012 20:51:56 -0500

Folks:

I decided to change the gearbox oil in my 1966 MGB.  I have drained the main
gear box, but when I attempt to remove the OD plug which is marked "Drain" I
can't  find the correct wrench to fit.what gives?  What size is this?

I plan to refill with 20W50 oil.same that I run in the engine.right?
Manuals say about 2-2.5 qts. for gearbox and OD?

Thanks,

Ray Graham
_______________________________________________

[email-masked]
Donate: http://www.team.net/donate.html
Suggested annual donation  $12.75
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]